<template>
    <v-app>
      <v-main>
        <v-spacer class="my-10"></v-spacer>
        <v-container fluid fill-height>
          <v-row class="justify-center">
            <v-col xs="12" sm="7" md="5" lg="3">
              <v-img
                :src="logo"
                class="my-3"
                contain
                height="200"
              />
            </v-col>
          </v-row>
          <v-row class="justify-center">
            <v-col xs="12" sm="7" md="5" lg="4">
              <v-card class="mt-5 pa-2 pa-10">
                <p class="text-h5 text-center mb-10 mt-5 primary--text">
                  Iniciar sesión
                </p>
  
  
                <v-form>
                  <v-text-field
                    v-model="form.email"
                    append-inner-icon="mdi-account"
                    label="Usuario / Correo Electrónico *"
                    :error-messages="v$.email.$error ? v$.email.$errors[0].$message : ''"
                  ></v-text-field>
                  <v-text-field
                    v-model="form.password"
                    :type="showPassword ? 'text' : 'password'"
                    :append-inner-icon="showPassword ? 'mdi-eye' : 'mdi-eye-off'"
                    label="Contraseña *"
                    @click:append-inner="showPassword = !showPassword"
                    :error-messages="v$.password.$error ? v$.password.$errors[0].$message : ''"
                  ></v-text-field>
                  <v-btn
                    color="primary"
                    class="my-10"
                    block
                    @click="submit"
                  >
                    Iniciar sesión
                  </v-btn>
  
                  <v-row class="justify-center">
                    <v-col cols="12" class="text-center">
                      <v-btn variant="text" color="primary">
                        ¿Olvidaste tu contraseña?
                      </v-btn>
                    </v-col>
                  </v-row>
                </v-form>
  
              </v-card>
            </v-col>
          </v-row>
        </v-container>
      </v-main>
    </v-app>
  </template>
  
  <!-- <script lang="ts">
  import { defineComponent } from 'vue'
  
  import logo from '../assets/logo.svg'
  
  
  export default defineComponent({
    name: 'Login',
  
    data () {
      return {
        //
        logo,
        showPassword: false,
        form: {
          email: 'admin@salud.gob.sv',
          password: 'admin',
        }
      }
    },
  })
  </script> -->
  <script setup lang="ts">
  
  import { ref, computed } from 'vue'
  import useVuelidate from '@vuelidate/core'
  import logo from '../assets/logo.svg'
  import { required, helpers, minLength } from '@vuelidate/validators'
  
  const showPassword = ref(false)
  
  const form = ref({
      email: 'admin@salud.gob.sv',
      password: 'admin',
  })
  
  const rules = computed(() => {
    return {
      email: {
        minLength: helpers.withMessage(
          'El email es requerido',
          minLength(4),
        ),
        required: helpers.withMessage(
          'El nombre de usuario es requerido',
          required,
        ),
      },
      password: {
        required: helpers.withMessage(
          'La contraseña es requerida',
          required,
        ),
      },
    }
  })
  
  const v$ = useVuelidate(rules, form)

  const submit = async() => {
    v$.value.$validate()
    if(!v$.value.$error){
      console.log('entrooo!!!');
    }
  }

  
  </script>